import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::ControlTower::EnabledBaseline Resource Type
 */
export declare function getEnabledBaseline(args: GetEnabledBaselineArgs, opts?: pulumi.InvokeOptions): Promise<GetEnabledBaselineResult>;
export interface GetEnabledBaselineArgs {
    /**
     * The ARN of the `EnabledBaseline` resource.
     */
    enabledBaselineIdentifier: string;
}
export interface GetEnabledBaselineResult {
    /**
     * The enabled version of the `Baseline` .
     */
    readonly baselineVersion?: string;
    /**
     * The ARN of the `EnabledBaseline` resource.
     */
    readonly enabledBaselineIdentifier?: string;
    /**
     * Parameters that are applied when enabling this `Baseline` . These parameters configure the behavior of the baseline.
     */
    readonly parameters?: outputs.controltower.EnabledBaselineParameter[];
    /**
     * Tags associated with input to `EnableBaseline` .
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::ControlTower::EnabledBaseline Resource Type
 */
export declare function getEnabledBaselineOutput(args: GetEnabledBaselineOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnabledBaselineResult>;
export interface GetEnabledBaselineOutputArgs {
    /**
     * The ARN of the `EnabledBaseline` resource.
     */
    enabledBaselineIdentifier: pulumi.Input<string>;
}
