import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataBrew::Ruleset.
 */
export declare function getRuleset(args: GetRulesetArgs, opts?: pulumi.InvokeOptions): Promise<GetRulesetResult>;
export interface GetRulesetArgs {
    /**
     * Name of the Ruleset
     */
    name: string;
}
export interface GetRulesetResult {
    /**
     * Description of the Ruleset
     */
    readonly description?: string;
    /**
     * List of the data quality rules in the ruleset
     */
    readonly rules?: outputs.databrew.RulesetRule[];
}
/**
 * Resource schema for AWS::DataBrew::Ruleset.
 */
export declare function getRulesetOutput(args: GetRulesetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRulesetResult>;
export interface GetRulesetOutputArgs {
    /**
     * Name of the Ruleset
     */
    name: pulumi.Input<string>;
}
