import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::DataBrew::Schedule.
 */
export declare function getSchedule(args: GetScheduleArgs, opts?: pulumi.InvokeOptions): Promise<GetScheduleResult>;
export interface GetScheduleArgs {
    /**
     * Schedule Name
     */
    name: string;
}
export interface GetScheduleResult {
    /**
     * Schedule cron
     */
    readonly cronExpression?: string;
    /**
     * A list of jobs to be run, according to the schedule.
     */
    readonly jobNames?: string[];
}
/**
 * Resource schema for AWS::DataBrew::Schedule.
 */
export declare function getScheduleOutput(args: GetScheduleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetScheduleResult>;
export interface GetScheduleOutputArgs {
    /**
     * Schedule Name
     */
    name: pulumi.Input<string>;
}
