import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaConnect::BridgeSource
 */
export declare function getBridgeSource(args: GetBridgeSourceArgs, opts?: pulumi.InvokeOptions): Promise<GetBridgeSourceResult>;
export interface GetBridgeSourceArgs {
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    bridgeArn: string;
    /**
     * The name of the source.
     */
    name: string;
}
export interface GetBridgeSourceResult {
    /**
     * Add a flow source to an existing bridge.
     */
    readonly flowSource?: outputs.mediaconnect.BridgeSourceBridgeFlowSource;
    /**
     * Add a network source to an existing bridge.
     */
    readonly networkSource?: outputs.mediaconnect.BridgeSourceBridgeNetworkSource;
}
/**
 * Resource schema for AWS::MediaConnect::BridgeSource
 */
export declare function getBridgeSourceOutput(args: GetBridgeSourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBridgeSourceResult>;
export interface GetBridgeSourceOutputArgs {
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    bridgeArn: pulumi.Input<string>;
    /**
     * The name of the source.
     */
    name: pulumi.Input<string>;
}
