import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Omics::SequenceStore Resource Type
 */
export declare function getSequenceStore(args: GetSequenceStoreArgs, opts?: pulumi.InvokeOptions): Promise<GetSequenceStoreResult>;
export interface GetSequenceStoreArgs {
    /**
     * The store's ID.
     */
    sequenceStoreId: string;
}
export interface GetSequenceStoreResult {
    /**
     * The store's ARN.
     */
    readonly arn?: string;
    /**
     * When the store was created.
     */
    readonly creationTime?: string;
    /**
     * The store's ID.
     */
    readonly sequenceStoreId?: string;
}
/**
 * Definition of AWS::Omics::SequenceStore Resource Type
 */
export declare function getSequenceStoreOutput(args: GetSequenceStoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSequenceStoreResult>;
export interface GetSequenceStoreOutputArgs {
    /**
     * The store's ID.
     */
    sequenceStoreId: pulumi.Input<string>;
}
